couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Davis <paul.joseph.da...@gmail.com>
Subject Your help is needed.
Date Mon, 29 Aug 2011 18:12:10 GMT
Dear Users of CouchDB,

In order to get support for SpiderMonkey 1.8.5 working in trunk while
maintaing support for 1.7.0 I've recently done a decent sized
refactoring of the CouchJS code. Currently I've tested it against
1.7.0, 1.8.0rc1, 1.8.5 and whatever Homebrew installs.

On the other hand there is still a large number of SpiderMonkey
distributions that are pulled from mercurial tags and other places
like XULRunner. If you are using a version of SpiderMonkey that is not
built from source from a tarball in this [1] directory, would you
please be so kind to try compiling this [2] branch and running the
Futon tests to check that CouchJS still works on your version of
SpiderMonkey?

If it makes it more interesting, you can pretend that this message
will self destruct in five seconds and this is your call to start a
super secret spy mission. Now hurry and do not fail your user
community!

http://www.youtube.com/watch?v=k55NuWQCh78

[1] http://ftp.mozilla.org/pub/mozilla.org/js/
[2] https://github.com/davisp/couchdb/tree/couchjs-fixes

Mime
View raw message